Get a post
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/posts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"post_id": "<string>",
"id_thirdparty": "<string>",
"content": "<string>",
"media": {
"type": 1,
"images": [
{
"url": "<string>"
}
],
"video": {
"url": "<string>",
"thumbnail_url": "<string>"
}
},
"facebook_setting": {
"type": "feed"
},
"instagram_setting": {
"type": "feed"
},
"threads_setting": {
"topic_tag": "<string>",
"reply_control": "everyone"
},
"youtube_setting": {
"title": "<string>",
"tags": [
"<string>"
],
"privacy": "public",
"category_id": "22",
"made_for_kids": false,
"thumbnail_url": "<string>",
"publish_at": 123
},
"scheduled_at": 123,
"comment_seedings": {
"channel_ids": [
"<string>"
],
"comments": [
{
"message": "<string>",
"image_url": "<string>",
"extra_time": 0
}
]
},
"created_by": {
"kind": "api_key",
"id": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"updated_by": {
"kind": "api_key",
"id": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"targets": [
{
"channel_id": "<string>",
"platform": "facebook",
"status": "pending",
"permalink": "<string>",
"platform_post_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"warning": "<string>",
"error": {
"kind": "<string>",
"code": "<string>",
"subcode": "<string>",
"message": "<string>"
}
}
]
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}Posts
Get a post
One post with its targets. A web user may edit a pending post up to 2 minutes before it publishes, so re-read it before relying on scheduled_at or content (see updated_by).
Required role: viewer.
GET
/
posts
/
{id}
Get a post
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/posts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"post_id": "<string>",
"id_thirdparty": "<string>",
"content": "<string>",
"media": {
"type": 1,
"images": [
{
"url": "<string>"
}
],
"video": {
"url": "<string>",
"thumbnail_url": "<string>"
}
},
"facebook_setting": {
"type": "feed"
},
"instagram_setting": {
"type": "feed"
},
"threads_setting": {
"topic_tag": "<string>",
"reply_control": "everyone"
},
"youtube_setting": {
"title": "<string>",
"tags": [
"<string>"
],
"privacy": "public",
"category_id": "22",
"made_for_kids": false,
"thumbnail_url": "<string>",
"publish_at": 123
},
"scheduled_at": 123,
"comment_seedings": {
"channel_ids": [
"<string>"
],
"comments": [
{
"message": "<string>",
"image_url": "<string>",
"extra_time": 0
}
]
},
"created_by": {
"kind": "api_key",
"id": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"updated_by": {
"kind": "api_key",
"id": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"targets": [
{
"channel_id": "<string>",
"platform": "facebook",
"status": "pending",
"permalink": "<string>",
"platform_post_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"warning": "<string>",
"error": {
"kind": "<string>",
"code": "<string>",
"subcode": "<string>",
"message": "<string>"
}
}
]
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}
